/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDimensionKeysInput } from "../types/DescribeDimensionKeysInput";
import { DescribeDimensionKeysOutput } from "../types/DescribeDimensionKeysOutput";
import { PIResolvedConfiguration } from "../PIConfiguration";
export * from "../types/DescribeDimensionKeysInput";
export * from "../types/DescribeDimensionKeysOutput";
export * from "../types/DescribeDimensionKeysExceptionsUnion";
export declare class DescribeDimensionKeysCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDimensionKeysInput, OutputTypesUnion, DescribeDimensionKeysOutput, PIResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDimensionKeysInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDimensionKeysInput, DescribeDimensionKeysOutput, _stream.Readable>;
    constructor(input: DescribeDimensionKeysInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: PIResolvedConfiguration): __aws_sdk_types.Handler<DescribeDimensionKeysInput, DescribeDimensionKeysOutput>;
}
