"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDimensionKeysInput_1 = require("../shapes/DescribeDimensionKeysInput");
const DescribeDimensionKeysOutput_1 = require("../shapes/DescribeDimensionKeysOutput");
const InvalidArgumentException_1 = require("../shapes/InvalidArgumentException");
const InternalServiceError_1 = require("../shapes/InternalServiceError");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDimensionKeys = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDimensionKeys",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDimensionKeysInput_1.DescribeDimensionKeysInput
    },
    output: {
        shape: DescribeDimensionKeysOutput_1.DescribeDimensionKeysOutput
    },
    errors: [
        {
            shape: InvalidArgumentException_1.InvalidArgumentException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        },
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        }
    ]
};
//# sourceMappingURL=DescribeDimensionKeys.js.map