"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ResponsePartitionKeyList_1 = require("./_ResponsePartitionKeyList");
const _DimensionKeyDescriptionList_1 = require("./_DimensionKeyDescriptionList");
exports.DescribeDimensionKeysOutput = {
    type: "structure",
    required: [],
    members: {
        AlignedStartTime: {
            shape: {
                type: "timestamp"
            }
        },
        AlignedEndTime: {
            shape: {
                type: "timestamp"
            }
        },
        PartitionKeys: {
            shape: _ResponsePartitionKeyList_1._ResponsePartitionKeyList
        },
        Keys: {
            shape: _DimensionKeyDescriptionList_1._DimensionKeyDescriptionList
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeDimensionKeysOutput.js.map