"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _DimensionGroup_1 = require("./_DimensionGroup");
const _MetricQueryFilterMap_1 = require("./_MetricQueryFilterMap");
exports._MetricQuery = {
    type: "structure",
    required: ["Metric"],
    members: {
        Metric: {
            shape: {
                type: "string"
            }
        },
        GroupBy: {
            shape: _DimensionGroup_1._DimensionGroup
        },
        Filter: {
            shape: _MetricQueryFilterMap_1._MetricQueryFilterMap
        }
    }
};
//# sourceMappingURL=_MetricQuery.js.map