"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PIClient_1 = require("./PIClient");
const DescribeDimensionKeysCommand_1 = require("./commands/DescribeDimensionKeysCommand");
const GetResourceMetricsCommand_1 = require("./commands/GetResourceMetricsCommand");
class PI extends PIClient_1.PIClient {
    describeDimensionKeys(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDimensionKeysCommand_1.DescribeDimensionKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getResourceMetrics(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetResourceMetricsCommand_1.GetResourceMetricsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.PI = PI;
//# sourceMappingURL=PI.js.map