/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResourceMetricsInput } from "../types/GetResourceMetricsInput";
import { GetResourceMetricsOutput } from "../types/GetResourceMetricsOutput";
import { PIResolvedConfiguration } from "../PIConfiguration";
export * from "../types/GetResourceMetricsInput";
export * from "../types/GetResourceMetricsOutput";
export * from "../types/GetResourceMetricsExceptionsUnion";
export declare class GetResourceMetricsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResourceMetricsInput, OutputTypesUnion, GetResourceMetricsOutput, PIResolvedConfiguration, _stream.Readable> {
    readonly input: GetResourceMetricsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResourceMetricsInput, GetResourceMetricsOutput, _stream.Readable>;
    constructor(input: GetResourceMetricsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: PIResolvedConfiguration): __aws_sdk_types.Handler<GetResourceMetricsInput, GetResourceMetricsOutput>;
}
