"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _MetricQueryList_1 = require("./_MetricQueryList");
exports.GetResourceMetricsInput = {
    type: "structure",
    required: [
        "ServiceType",
        "Identifier",
        "MetricQueries",
        "StartTime",
        "EndTime"
    ],
    members: {
        ServiceType: {
            shape: {
                type: "string"
            }
        },
        Identifier: {
            shape: {
                type: "string"
            }
        },
        MetricQueries: {
            shape: _MetricQueryList_1._MetricQueryList
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndTime: {
            shape: {
                type: "timestamp"
            }
        },
        PeriodInSeconds: {
            shape: {
                type: "integer"
            }
        },
        MaxResults: {
            shape: {
                type: "integer"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetResourceMetricsInput.js.map